> For the complete documentation index, see [llms.txt](https://docs.uqudo.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.uqudo.com/docs/kyc/uqudo-sdk/integration/web/sdk-initialisation.md).

# SDK Initialisation

## Create an Uqudo SDK instance

```javascript
import uqudoSdkFactory from "uqudosdk-web";

const uqudoSdk = uqudoSdkFactory.create({
	baseURL?: string;
	accessToken: string;
	nonce?: string;
	assets?: IAssetsArg;
	texts?: ITextsArg;
});
```

<table><thead><tr><th width="147.33333333333334">Attribute</th><th width="384">Description</th><th>Required</th></tr></thead><tbody><tr><td>baseURL</td><td>Api base url provided by uqudo.<br><strong>N.B.</strong>: this is only required if you have an on prem installation of the uqudo platform.</td><td>false</td></tr><tr><td>accessToken</td><td>Authorization token</td><td>true</td></tr><tr><td>nonce</td><td>Random string that is useful to make sure the process has been initiated by your application. It should be generated server side and verified server side.</td><td>false</td></tr><tr><td>assets</td><td>List of assets</td><td>False. See <a href="/pages/S5qfXuFbRUdd9cmGzGHM">Asset Configuration</a></td></tr><tr><td>texts</td><td>List of texts</td><td>False. See <a href="/pages/LfOsalospU60gYnnmMfM">Text Configuration</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uqudo.com/docs/kyc/uqudo-sdk/integration/web/sdk-initialisation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
